Package com.sun.mail.imap.protocol

## Class ID

- java.lang.Object
- - com.sun.mail.imap.protocol.ID

    public class ID
    extends Object

This class represents the response to the ID command.

See RFC 2971.

Since:
  JavaMail 1.5.1
Author:
  Bill Shannon

### Constructor Summary

Constructors
`ID​(Response r)` Parse the server parameter list out of the response.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ID

    public ID​(Response r)
       throws ProtocolException

Parse the server parameter list out of the response.

Parameters:
  `r` - the response
Throws:
  `ProtocolException` - for protocol failures